curl -X GET "https://api.llmgenerator.com/api/v1/sites/550e8400-e29b-41d4-a716-446655440000/urls?limit=20" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/sites/550e8400-e29b-41d4-a716-446655440000/urls',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const data = await response.json();
{
"urls": [
{
"id": "url_abc123",
"siteId": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://example.com/",
"title": "Example Domain - Home",
"description": "Welcome to Example Domain, your comprehensive resource for...",
"status": "scraped",
"lastModified": "2026-01-15T00:00:00.000Z"
},
{
"id": "url_def456",
"siteId": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://example.com/about",
"title": "About Us",
"description": "Learn about our mission and team.",
"status": "scraped",
"lastModified": null
}
],
"total": 47,
"page": 1,
"totalPages": 3
}
{
"message": "Site not found"
}
サイト
マッピング済み URL の取得
サイトに紐づくマッピング済み URL を取得するエンドポイントです。
curl -X GET "https://api.llmgenerator.com/api/v1/sites/550e8400-e29b-41d4-a716-446655440000/urls?limit=20" \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/sites/550e8400-e29b-41d4-a716-446655440000/urls',
{
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
const data = await response.json();
{
"urls": [
{
"id": "url_abc123",
"siteId": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://example.com/",
"title": "Example Domain - Home",
"description": "Welcome to Example Domain, your comprehensive resource for...",
"status": "scraped",
"lastModified": "2026-01-15T00:00:00.000Z"
},
{
"id": "url_def456",
"siteId": "550e8400-e29b-41d4-a716-446655440000",
"url": "https://example.com/about",
"title": "About Us",
"description": "Learn about our mission and team.",
"status": "scraped",
"lastModified": null
}
],
"total": 47,
"page": 1,
"totalPages": 3
}
{
"message": "Site not found"
}
このページは役に立ちましたか?
⌘I